Subject: Re: bug#74855: 30.0.92; dired - slow copy across (wireless) LAN

From: Stefan Kangas <[email-masked]>
Date: Thu, 19 Dec 2024 12:58:55 -0500

Michael Albinus <[email-masked]> writes:

> Tramp's "ssh" method is not suited for this use case. It encodes the
> local file with base64, and decodes it when it has been arrived on the
> remote side.
>
> For this given use case, Tramp's "scp" method is better suited. See the
> discussion in the manual, (info "(tramp) Connection types") and (info
> "(tramp) Frequently Asked Questions") , the entry "How to speed up TRAMP".

Thanks.  Would it be possible to detect this situation and either warn
the user about it, or even automatically switch over to scp?